---
title: WebAssembly.Table.prototype.get()
slug: Web/JavaScript/Reference/Global_Objects/WebAssembly/Table/get
tags:
  - API
  - JavaScript
  - Method
  - Reference
  - WebAssembly
  - get
  - table
---
<div>{{JSRef}}</div>

<p>The <code><strong>get()</strong></code> prototype method of the {{jsxref("WebAssembly.Table()")}} object retrieves a function reference stored at a given index.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">table.get(<em>index</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>index</em></dt>
 <dd>The index of the function reference you want to retrieve.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A function reference — this is an <a href="/en-US/docs/WebAssembly/Exported_functions">exported WebAssembly function</a>, a JavaScript wrapper for an underlying wasm function.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>If <em>index</em> is greater than or equal to {{jsxref("WebAssembly/Table/length","Table.prototype.length")}}, a {{jsxref("RangeError")}} is thrown.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_get">Using get</h3>

<p>The following example (see <a href="https://github.com/mdn/webassembly-examples/blob/master/js-api-examples/table.html">table.html</a> on GitHub, and <a href="https://mdn.github.io/webassembly-examples/js-api-examples/table.html">view it live</a> also) compiles and instantiates the loaded table.wasm byte code using the {{jsxref("WebAssembly.instantiateStreaming()")}} method. It then retrieves the references stored in the exported table.</p>

<pre class="brush: js">WebAssembly.instantiateStreaming(fetch('table.wasm'))
.then(function(obj) {
  var tbl = obj.instance.exports.tbl;
  console.log(tbl.get(0)());  // 13
  console.log(tbl.get(1)());  // 42
});</pre>

<p>Note how you've got to include a second function invocation operator at the end of the accessor to actually retrieve the value stored inside the reference (e.g. <code>get(0)()</code> rather than <code>get(0)</code>) — it is a function rather than a simple value.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAssembly JS', '#dom-table-get', 'get()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.WebAssembly.Table.get")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAssembly">WebAssembly</a> overview page</li>
 <li><a href="/en-US/docs/WebAssembly/Concepts">WebAssembly concepts</a></li>
 <li><a href="/en-US/docs/WebAssembly/Using_the_JavaScript_API">Using the WebAssembly JavaScript API</a></li>
</ul>
